import Vue from 'vue'
import App from './App.vue'
import vuetify from './plugins/vuetify'
import VueRouter from "vue-router";
import Home from'./views/Home.vue'
import Login from'./components/Login.vue'
import Register from'./components/Register.vue'
import Teacher from'./components/TeacherDashboard.vue'
import AddExam from './components/AddExam.vue'
import Student from'./components/StudentDashboard.vue'
import AnswerExam from './components/AnswerExam.vue'
import Result from './components/Result.vue'
import Quiz from './components/Quiz.vue'
import Convert from './components/Convert.vue'

Vue.use(VueRouter)
Vue.config.productionTip = false

const router = new VueRouter({
  routes: [
    { path:'/', component:Home},
    { path:'/login', component:Login},
    { path:'/register', component:Register},
    { path:'/teacher', component:Teacher},
    { path:'/addExam', component: AddExam},
    { path:'/student', component:Student},
    { path:'/answerExam', component: AnswerExam},
    { path:'/result', component:Result},
    { path:'/quiz', component:Quiz},
    { path:'/convert', component:Convert},
  ]
});
new Vue({
  router,
  vuetify,
  render: h => h(App)
}).$mount('#app')
